diff -Naur apel-10.6.orig/fink/apel-install apel-10.6/fink/apel-install
--- apel-10.6.orig/fink/apel-install	Thu Jan  1 09:00:00 1970
+++ apel-10.6/fink/apel-install	Tue Mar 15 18:29:35 2005
@@ -0,0 +1,146 @@
+#!/bin/sh
+# @PREFIX@/lib/emacsen-common/packages/install/apel
+set -e
+
+FLAVOR=$1
+VERSION=@VERSION@
+PACKAGE="apel"
+
+if [ -z "${FLAVOR}" ]; then
+  echo Need argument to determin FLAVOR of emacsen
+  exit 1
+fi
+if [ -z "${PACKAGE}" ]; then
+  echo Internal error: need package name
+  exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+INSTALL_TMPDIR=`mktemp -d -t ${PACKAGE}.XXXXXXXXXX` || exit 1
+
+SHAREDIR=@PREFIX@/share/${PACKAGE}
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR_BASE=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+EMACSEN_MULE=${FLAVOR}
+EMACSEN_NOMULE=""
+
+FLAVOR_SUFFIX=`echo ${FLAVOR} | cut -s -d - -f 2`
+FLAVORTEST=`echo ${FLAVOR} | cut -c-6`
+if [ "X${FLAVORTEST}" = "Xxemacs" ]; then
+  FLAVOR_BODY=`echo ${FLAVOR} | cut -d - -f 1`
+  if [ "X${FLAVOR_SUFFIX}" = "Xmule" ]; then
+    EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-mule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_MULE}" ]; then
+      EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+    fi
+    EMACSEN_NOMULE=""
+  elif [ "X${FLAVOR_SUFFIX}" = "Xnomule" ]; then
+    EMACSEN_MULE=""
+    EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR_BODY}*-nomule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_NOMULE}" ]; then
+      EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+    fi
+  else
+    FLAVOR_SUFFIX=""
+    EMACSEN_MULE=`ls @PREFIX@/bin/${FLAVOR}*-mule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_MULE}" ]; then
+      EMACSEN_MULE=`basename ${EMACSEN_MULE}`
+    fi
+    EMACSEN_NOMULE=`ls @PREFIX@/bin/${FLAVOR}*-nomule* 2>/dev/null | head -1`
+    if [ -n "${EMACSEN_NOMULE}" ]; then
+      EMACSEN_NOMULE=`basename ${EMACSEN_NOMULE}`
+    fi
+  fi
+fi
+
+COMPILED=no
+for EMACSEN in "${EMACSEN_MULE}" "${EMACSEN_NOMULE}"; do
+  if [ -n "${EMACSEN}" ]; then
+    ELCDIR=${ELCDIR_BASE}
+    if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+      if [ "X${EMACSEN}" = "X${EMACSEN_MULE}" ]; then
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (mule) ..."
+        ELCDIR=${ELCDIR}/mule
+      else
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} (nomule) ..."
+        ELCDIR=${ELCDIR}/nomule
+      fi
+    else
+      echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+    fi
+    STAMP="${ELCDIR}/compile-stamp"
+    if [ -e "${STAMP}" ]; then
+      if [ "X${VERSION}" = X"`cat ${STAMP}`" ]; then
+	echo " skipped. (already compiled)" 
+      else
+	rm -f ${STAMP}
+      fi
+    fi
+    if [ ! -e "${STAMP}" ]; then
+      if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+	rm -f ${ELCDIR_BASE}/*.el ${ELCDIR_BASE}/*.elc
+      fi
+      rm -rf ${ELCDIR}
+      install -m 755 -d ${ELCDIR}
+      rm -rf ${INSTALL_TMPDIR}/*
+      cp -r ${ELDIR}/* ${INSTALL_TMPDIR}/
+      cp ${SHAREDIR}/*.el ${INSTALL_TMPDIR}/
+      (cd ${INSTALL_TMPDIR}
+	make EMACS=${EMACSEN} VERSION_SPECIFIC_LISPDIR=${ELCDIR} LISPDIR=${ELCDIR} install > ${ELCDIR}/CompilationLog 2>&1
+	
+	cd ${ELCDIR}
+	echo "rm -f ${ELCDIR}/*.el ${ELCDIR}/emu/*.el ${ELCDIR}/apel/*.el" >> ${ELCDIR}/CompilationLog 2>&1
+	rm -f ${ELCDIR}/*.el ${ELCDIR}/emu/*.el ${ELCDIR}/apel/*.el
+	if [ -d ${ELCDIR}/emu ]; then
+	  echo "mv ${ELCDIR}/emu/* ${ELCDIR}/" >> ${ELCDIR}/CompilationLog 2>&1
+	  mv ${ELCDIR}/emu/* ${ELCDIR}/
+	  echo "rm -rf ${ELCDIR}/emu" >> ${ELCDIR}/CompilationLog 2>&1
+	  rm -rf ${ELCDIR}/emu
+	fi
+	if [ -d ${ELCDIR}/apel ]; then
+	  echo "mv ${ELCDIR}/apel/* ${ELCDIR}/" >> ${ELCDIR}/CompilationLog 2>&1
+	  mv ${ELCDIR}/apel/* ${ELCDIR}/
+	  echo "rm -rf ${ELCDIR}/apel" >> ${ELCDIR}/CompilationLog 2>&1
+	  rm -rf ${ELCDIR}/apel
+	fi
+      )
+      gzip -9 ${ELCDIR}/CompilationLog
+      chmod 644 ${ELCDIR}/CompilationLog.gz
+      for f in env.el pces-20.el time-stamp.el timezone.el; do
+	if [ -f ${ELCDIR}/${f}c ]; then
+	  ln -s ${SHAREDIR}/${f} ${ELCDIR}/${f}
+	fi
+      done
+      if [ -f ${ELCDIR}/poe.elc ]; then
+	touch ${ELCDIR}/*.elc
+	chmod 644 ${ELCDIR}/*.elc
+	echo "${VERSION}" > ${STAMP}
+	chmod 644 ${STAMP}
+	COMPILED=yes
+      fi
+      if [ "X${FLAVORTEST}" = "Xxemacs" -a -z "${FLAVOR_SUFFIX}" ]; then
+	if [ -e ${ELCDIR_BASE}/mule/compile-stamp ]; then
+	  ln -s ${ELCDIR_BASE}/mule/*.el ${ELCDIR_BASE}/mule/*.elc ${ELCDIR_BASE}
+	elif [ -e ${ELCDIR_BASE}/nomule/compile-stamp ]; then
+	  ln -s ${ELCDIR_BASE}/nomule/*.el ${ELCDIR_BASE}/nomule/*.elc ${ELCDIR_BASE}
+	fi
+      fi
+      echo " done."
+    fi
+  fi
+done 
+rm -rf ${INSTALL_TMPDIR}
+
+if [ "X${COMPILED}" = Xyes ]; then
+  # recompile flim or limit
+  for pkg in flim limit; do
+    if [ -f @PREFIX@/lib/emacsen-common/packages/install/${pkg} ]; then
+      if [ -d @PREFIX@/share/${FLAVOR}/site-lisp/flim ]; then
+        @PREFIX@/lib/emacsen-common/packages/remove/${pkg} ${FLAVOR}
+        @PREFIX@/lib/emacsen-common/packages/install/${pkg} ${FLAVOR}
+      fi
+    fi
+  done
+fi
+
+exit 0
diff -Naur apel-10.6.orig/fink/apel-remove apel-10.6/fink/apel-remove
--- apel-10.6.orig/fink/apel-remove	Thu Jan  1 09:00:00 1970
+++ apel-10.6/fink/apel-remove	Mon Mar 14 02:13:31 2005
@@ -0,0 +1,24 @@
+#!/bin/sh
+# @PREFIX@/lib/emacsen-common/packages/remove/apel
+set -e
+
+FLAVOR=$1
+PACKAGE="apel"
+
+if [ -z "${FLAVOR}" ]; then
+  echo Need argument to determin FLAVOR of emacsen
+  exit 1
+fi
+if [ -z "${PACKAGE}" ]; then
+  echo Internal error: need package name
+  exit 1
+fi
+if [ "X${FLAVOR}" = Xemacs ]; then exit 0; fi
+
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+rm -rf ${ELCDIR}
+echo " done."
+
+exit 0
diff -Naur apel-10.6.orig/fink/apel-startup apel-10.6/fink/apel-startup
--- apel-10.6.orig/fink/apel-startup	Thu Jan  1 09:00:00 1970
+++ apel-10.6/fink/apel-startup	Thu Mar 24 15:38:45 2005
@@ -0,0 +1,20 @@
+;;; 20apel.el --- Fink apel startup file  -*-mode: emacs-lisp;-*-
+
+;;; Code:
+
+(let ((elc-dir (concat "@PREFIX@/share/" (symbol-name fink-emacs-flavor) "/site-lisp/apel")))
+  (if (not (file-directory-p elc-dir))
+      ()
+    (if (featurep 'xemacs)
+	(if (featurep 'mule)
+	    (and (file-directory-p (concat elc-dir "/mule"))
+		 (setq elc-dir (concat elc-dir "/mule")))
+	  (and (file-directory-p (concat elc-dir "/nomule"))
+	       (setq elc-dir (concat elc-dir "/nomule")))))
+    (if (and nil (fboundp 'fink-pkg-add-load-path-item)) ; fink-pkg-* is not
+	(fink-pkg-add-load-path-item elc-dir)            ; correctly working.
+      (setq load-path (cons elc-dir load-path)))
+    ;;
+    ))
+
+;;; 20apel.el ends here
